LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "UkiWep Settings", "l", "UkiWepSettings" 
		//TextItem "Unreal Settings", "2", "UnrealSettings" 
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}



OptionMenu "UkiWepSettings"
{
    Title "UkiWep Settings" 
	StaticText ""
	Option "Uki Weapon Selection" ,"sv_ukiweapons","TheWeaponSelection"
	StaticText "Variable that changes the spawners on map load (Server)"
	StaticText "In the console its sv_ukiweapons 0 or 1 for selections"
	StaticText ""
	Option "Bonus Soda" ,"sv_BonusSoda","SodaMode"
	StaticText "Allows the delicious beverage of soda to exist (Server)"
	StaticText "In the console its sv_BonusSoda 0 or 1"
	StaticText ""
	Option "Bass Burst Buster" ,"Sv_BassBuster","BassBusterMode"
	StaticText "Changes the Bass Buster into one from MM&Bass (Server)"
	StaticText "In the console its Sv_BassBuster 0 or 1"
	StaticText ""
	Option "Revolver Buster Hud" ,"Cl_UkiRevolverMode","UkiRevolverMode"
	StaticText "Changes the look of the Revolver Buster hud for that player"
	StaticText "In the console its Cl_UkiRevolverMode 0 or 1"
	StaticText ""
	Option "Balloon Adapter" ,"sv_balloonadapter","BalloonAdapterMode"
	StaticText "Changes Item 1 to the Balloon Adapter (Server)"
	StaticText "In the console its sv_balloonadapter 0 or 1"
	StaticText ""
	SubMenu "Unreal Settings", "UnrealSettings"
	StaticText "Settings for enabling/disabiling Unreal Weps/Items"
	StaticText     ""
	StaticText     ""
	StaticText     ""
	StaticText "I hope you have as much fun playing as I have"
	StaticText            "had making this pack."
	}


OptionValue "SodaMode"
{
0,"You hate fizzy beverages"
1,"You love fizzy beverages"
}

OptionValue "UkiRevolverMode"
{
0,"Uki's Hud"
1,"Kenkoru's Hud"
}

OptionValue "BassBusterMode"
{
0,"Standard Bass Buster"
1,"Bass Burst Buster"
}

OptionValue "BalloonAdapterMode"
{
0,"Item 1" 
1,"Balloon Adapter"
}

OptionMenu "UnrealSettings"
{
    Title "Unreal Weapon Settings" 
	StaticText ""
	Option "Unreal Weapon Selection" ,"sv_UnrealWeapons","TheWeaponSelection"
	StaticText "Variable that changes the spawners on map load (Server)"
	StaticText "In the console its SV_UnrealEeapons 0 or 1 for selections"
	Title "Unreal Item Settings" 
	StaticText ""
	Option "Unreal Item Selection" ,"Sv_UnrealItems","TheItemSelection"
	StaticText "Variable that changes the spawners on map load (Server)"
	StaticText "In the console its SV_UnrealItems 0 or 1 for selections"
	StaticText ""
	Option "Unreal Inital Weapon Selection" ,"Sv_UnrealInitialWeapons","TheInitalWeaponSelection"
	StaticText "Variable that changes the inital loadout on map load (Server)"
	StaticText "In the console its SV_UnrealInitialWeapons 0 or 1 for selections"
}

OptionValue "TheInitalWeaponSelection"
{
0,"Megabuster Start"
1,"Unreal Start"
}

OptionValue "TheWeaponSelection"
{
0,"Weapons are Disabled"
1,"Weapons are Enabled"
}

OptionValue "TheItemSelection"
{
0,"Items are Disabled"
1,"Items are Enabled"
}